%define mod_name	crcmod

Name:		python-%{mod_name}
Summary:	Python module for creating functions computing the CRC
Version:	1.7
Release:	%mkrel 1
Source0:	http://downloads.sourceforge.net/project/%{mod_name}/%{mod_name}/%{mod_name}-%{version}/%{mod_name}-%{version}.tar.gz
URL:		http://sourceforge.net/projects/crcmod
Group:		Development/Python
License:	MIT
BuildRequires:	python-setuptools
	
%description
Python module for creating functions computing the Cyclic Redundancy Check
(CRC). Any generating polynomial producing 8, 16, 24, 32, or 64 bit CRCs is
allowed.
Generated functions can be used in Python or C/C++ source code can be 
generated.

%package -n python3-%{mod_name}
Summary:	Python 3 module for creating functions computing the CRC
Group:		Development/Python
BuildRequires:	python3-setuptools

%description -n python3-crcmod
Python 3 module for creating functions computing the Cyclic Redundancy Check
(CRC). Any generating polynomial producing 8, 16, 24, 32, or 64 bit CRCs is
allowed.
Generated functions can be used in Python or C/C++ source code can be 
generated.

%prep
%setup -q -n %{mod_name}-%{version} 
%apply_patches
cp -a . %{py3dir} 

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

pushd %{py3dir} 
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%files
%doc README
%{python_sitearch}/%{mod_name}
%{python_sitearch}/%{mod_name}-%{version}-*.egg-info

%files -n python3-crcmod
%doc README
%{python3_sitearch}/%{mod_name} 
%{python3_sitearch}/%{mod_name}-%{version}-*.egg-info


%changelog
* Sun Dec 08 2013 pterjan <pterjan> 1.7-1.mga4
+ Revision: 555925
- imported package python-crcmod

